import type { Color } from '../_styles/colors';
import type { SpinnerSize, SpinnerVariant } from './Spinner.types';
declare type SyncAnimationProps = {
    mountTime: number;
};
export declare const StyledCircle: import("styled-components").StyledComponent<"circle", any, SyncAnimationProps, never>;
export declare const spinnerDimensions: Record<SpinnerSize, number>;
interface StyledSpinnerContainerProps {
    $color?: Color;
    $size: SpinnerSize;
    $variant?: SpinnerVariant;
}
export declare const StyledSpinnerContainer: import("styled-components").StyledComponent<"div", any, StyledSpinnerContainerProps, never>;
export declare const StyledSpinnerOverlayLabel: import("styled-components").StyledComponent<"span", any, {}, never>;
export declare const StyledSpinnerSVG: import("styled-components").StyledComponent<"svg", any, SyncAnimationProps, never>;
export declare const StyledSpinnerOverlay: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSpinnerContainerWithLabel: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledSpinnerOverlayContainer: import("styled-components").StyledComponent<"div", any, {
    $loading: boolean;
    $centered: boolean;
}, never>;
export {};
